[Help Wanted] W3D Tools and Plugins

Hello there,

I'm Mathijs, a community leader on The3rdAge.net, a Battle for Middle-earth modding community. Battle for Middle-earth (BFME for short) is based on the Sage engine, which works with the W3D filetype.

Since 2008, we have been using the same plugins provided by the game's developer, EA Games. They can be found here: http://files.ea.com/downloads/eagames/official/bfme2/BFME2_ModSDKv2.exe

These plugins include a W3D exporter, W3D Materials, W3D Settings, basically everything we need to be able to model for these games. The problem is that they only support the very old 3ds Max 8. With the recent release of Windows 10, we've experienced many problems running this old version of 3ds Max. Basically, our modding ability is set to expire sooner or later (not everyone is willing to make partitions just for modding), so what we need is for these tools to work on later versions of 3ds Max.

Is there anyone here who can tell me if this is a feasible desire, or who perhaps is willing to work on this? Any and all replies are appreciated.